Name: x11-driver-video-mach64
Version: 6.9.4
Release: %mkrel 7
Epoch: 1
Summary: X.org driver for ATI Mach64 
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.bz2
# From Fedora:
Patch0:	    mach64-6.8.1-defaultdepth.patch
# mga#8349:
Patch1:	    mach64-6.9.4-gtk-segfault.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

%description
x11-driver-video-mach64 is the X.org driver for ATI Mach64.


%prep
%setup -q -n xf86-video-mach64-%{version}
%apply_patches

%build
autoreconf -ifs
%configure --disable-dri
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/mach64_drv.la
%{_libdir}/xorg/modules/drivers/mach64_drv.so




%changelog
* Fri Dec 06 2013 tmb <tmb> 1:6.9.4-7.mga4
+ Revision: 555559
- rebuild for new mesa

* Wed Dec 04 2013 tmb <tmb> 1:6.9.4-6.mga4
+ Revision: 555159
- try build with mesa 10

* Tue Dec 03 2013 tv <tv> 1:6.9.4-5.mga4
+ Revision: 554735
- patch 1: fix segfaults (mga#8349)

* Sat Oct 19 2013 umeabot <umeabot> 1:6.9.4-4.mga4
+ Revision: 525410
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1:6.9.4-3.mga4
+ Revision: 433167
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1:6.9.4-2.mga4
+ Revision: 385993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 tv <tv> 1:6.9.4-1.mga3
+ Revision: 333387
- new release

* Wed Dec 12 2012 tv <tv> 1:6.9.3-3.mga3
+ Revision: 329959
- disable DRI support  (it's been nuked from upstream Mesa)
- add some patches from FC
- add some patches from xorg ml in order to fix crashes
  (should fix mga#8349)

* Thu Sep 13 2012 tv <tv> 1:6.9.3-2.mga3
+ Revision: 293581
- backport build faillure fix from git
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1:6.9.3-1.mga3
+ Revision: 273758
- new release

* Thu Jul 12 2012 tv <tv> 1:6.9.2-1.mga3
+ Revision: 270170
- new release

* Wed Jun 06 2012 tmb <tmb> 1:6.9.1-3.mga3
+ Revision: 256436
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:6.9.1-2.mga3
+ Revision: 253010
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1:6.9.1-1.mga3
+ Revision: 249885
- new release

* Tue Dec 06 2011 tmb <tmb> 1:6.9.0-3.mga2
+ Revision: 177558
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1:6.9.0-2.mga2
+ Revision: 153119
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1:6.9.0-1.mga1
+ Revision: 93621
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1:6.8.2-6.mga1
+ Revision: 64699
- mach64: fix the pixmap private API change in x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.2-4.mga1
+ Revision: 50229
- imported package x11-driver-video-mach64


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-4mdv2011.0
+ Revision: 595719
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-2mdv2010.1
+ Revision: 464338
- rebuild for new xserver

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1:6.8.2-1mdv2010.0
+ Revision: 407093
- update to new version 6.8.2

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.1-1mdv2010.0
+ Revision: 369180
- New version 6.8.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1:6.8.0-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1:6.8.0-3mdv2009.1
+ Revision: 308168
- rebuild for new X server

* Fri Jul 04 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.0-2mdv2009.0
+ Revision: 231810
- Correct wrong conflicts field.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:6.8.0-1mdv2009.0
+ Revision: 219468
- import x11-driver-video-mach64


